import { App } from '@kevisual/router';
import { app } from './app.ts';

import './route/system-config/index.ts';

type Message = {
  path: string;
  key?: string;
  payload?: any;
};
export const runApp = async (msg: Message) => {
  const { code, body, message } = await app.router.parse(msg);
  const res = { code, data: body };
  if (message) {
    res['message'] = message;
  }
  return res;
};

export const loadApp = async (mainApp: App) => {
  mainApp.importApp(app);
};
