import { query } from '@/module/query.ts';

export const queryLogin = async (username: string, password: string) => {
  return await query.post({
    path: 'user',
    key: 'login',
    payload: {
      username,
      password,
      loginType: 'plugin',
    },
  });
};

export const queryMe = async () => {
  return await query.post({
    path: 'user',
    key: 'me',
  });
};

export const switchOrg = async (username) => {
  return await query.post({
    path: 'user',
    key: 'switchOrg',
    data: {
      loginType: 'plugin',
      username,
    },
  });
};
export const switchMe = async () => {
  return await query.post({
    path: 'user',
    key: 'switchOrg',
    data: {
      type: 'user',
    },
  });
};
